package application

import (
	"fmt"
	"sirlab.de/go/knyt/user"
	"time"
)

func (app *Application) updatePlayerATime(usr *user.User) {
	usrId := usr.GetId()

	app.mu.Lock()
	prevTime := app.playerATime[usrId]
	if prevTime.IsZero() {
		fmt.Printf("new Player %s\n", usr.GetName())
	}
	app.playerATime[usrId] = time.Now()
	app.mu.Unlock()
}

func (app *Application) getActivePlayerIds() []string {
	app.mu.Lock()
	defer app.mu.Unlock()

	playerIds := make([]string, 0)
	for usrId, _ := range app.playerATime {
		playerIds = append(playerIds, usrId)
	}

	return playerIds
}
